package com.ruoyi.interfaces.domain;

import java.io.Serializable;
import java.math.BigDecimal;

public class PtServiceCate implements Serializable {
    private String cateId;

    private String catePid;

    private String name;

    private BigDecimal seq;

    private static final long serialVersionUID = 1L;

    public String getCateId() {
        return cateId;
    }

    public void setCateId(String cateId) {
        this.cateId = cateId == null ? null : cateId.trim();
    }

    public String getCatePid() {
        return catePid;
    }

    public void setCatePid(String catePid) {
        this.catePid = catePid == null ? null : catePid.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public BigDecimal getSeq() {
        return seq;
    }

    public void setSeq(BigDecimal seq) {
        this.seq = seq;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cateId=").append(cateId);
        sb.append(", catePid=").append(catePid);
        sb.append(", name=").append(name);
        sb.append(", seq=").append(seq);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
